#include "Class.h"
#include "olcPixelGameEngine.h"
#include "DEFINES.h"
#include "Player.h"
#include "Effect.h"
#include "Crawler.h"
#include "config.h"

INCLUDE_MONSTER_LIST
INCLUDE_BULLET_LIST
INCLUDE_game

void Witch::Initialize(){
    READFROMCONFIG(Witch,WITCH);
    Witch::idle_n=WARRIOR_IDLE_N;
    Witch::idle_e=WARRIOR_IDLE_E;
    Witch::idle_s=WARRIOR_IDLE_S;
    Witch::idle_w=WARRIOR_IDLE_W;
    Witch::walk_n=WARRIOR_WALK_N;
    Witch::walk_e=WARRIOR_WALK_E;
    Witch::walk_s=WARRIOR_WALK_S;
    Witch::walk_w=WARRIOR_WALK_W;
}

SETUP_CLASS(Witch)

void Witch::OnUpdate(float fElapsedTime){

}

bool Witch::AutoAttack(){
    return false;
}
void Witch::InitializeClassAbilities(){
    #pragma region Witch Right-click Ability (???)
        Witch::rightClickAbility.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Witch Ability 1 (???)
        Witch::ability1.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Witch Ability 2 (???)
        Witch::ability2.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
    #pragma region Witch Ability 3 (???)
        Witch::ability3.action=
            [](Player*p,vf2d pos={}){
                return false;
            };
    #pragma endregion
}